use nexus_lang::{Location, Token, TokenKind};

#[test]
fn display() {
    let loc = Location::default();

    let _ = format!(
        "{}",
        Token {
            kind: TokenKind::Number(42.0),
            lexeme: "42".to_string(),
            loc,
        }
    );

    let _ = format!(
        "{}",
        Token {
            kind: TokenKind::Identifier("test".to_string()),
            lexeme: "test".to_string(),
            loc,
        }
    );

    let _ = format!(
        "{}",
        Token {
            kind: TokenKind::String("hello".to_string()),
            lexeme: "\"hello\"".to_string(),
            loc,
        }
    );

    let _ = format!(
        "{}",
        Token {
            kind: TokenKind::LParen,
            lexeme: "(".to_string(),
            loc,
        }
    );
}
